package com.zt.controller;

import com.zt.common.Shoop;
import jakarta.validation.Valid;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;
import java.util.Map;
import java.util.Objects;

/**
 * @Date 2025/3/29 10:37
 * @Author neko
 **/
@RestController
@RequestMapping("/test1")
@Slf4j
public class Test1 {
    @RequestMapping("inter")
    public String inter(@RequestHeader("redId") String redId, @Valid @RequestBody Shoop shoop){
        System.out.println(redId);
        Map<String, Object> map = new HashMap<>();
        map.put("code", "200");
        map.put("msg", "操作成功");
        map.put("data", shoop);

        return map.toString();
    }

    @RequestMapping("inter2")
    public String inter2(@RequestHeader("redId") String redId,Shoop shoop){
        log.info("redId:{}",redId);
        Map<String, Object> map = new HashMap<>();
        map.put("code", "200");
        map.put("msg", "操作成功");
        map.put("data", shoop);
        return map.toString();
    }

}
